/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * nbbuild/licenses/CDDL-GPL-2-CP.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the GPL Version 2 section of the License file that
 * accompanied this code. If applicable, add the following below the
 * License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Contributor(s):
 *
 * Portions Copyrighted 2010 Martin Rexa
 */

package cz.xelfi.quoridor.statistics;

import cz.xelfi.quoridor.Move;
import cz.xelfi.quoridor.webidor.GameId;
import cz.xelfi.quoridor.webidor.GameStatus;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;

/**
 *
 * @author Martin Rexa
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class OpeningNodeViewEntry extends Object{
    String move;
    String code;
    GameId gameId;
    GameId whiteGame;
    GameId blackGame;
    int whiteWon;
    int blackWon;

    public OpeningNodeViewEntry(){
    }

    public OpeningNodeViewEntry(Move m, String code){
        move = m.toString();
        this.code = code;
    }

    public void processGame(GameId gId){
        gameId = gId;
        if(gId.getStatus().equals(GameStatus.whiteWon)){
            whiteWon++;
            whiteGame = gId;
        }
        if(gId.getStatus().equals(GameStatus.blackWon)){
            blackWon++;
            blackGame = gId;
        }
    }

    @Override
    public boolean equals(Object obj){
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final OpeningNodeViewEntry other = (OpeningNodeViewEntry) obj;
        return this.move.equals(other.move);
    }

    @Override
    public String toString(){
        return move+": "+whiteWon+"/"+blackWon;
    }

}
